Subject: RE: RE: Is IP Layer 2 Interworking useful?

From: "Jim Guichard" <[email-masked]>
Date: Mon, 29 Apr 2002 10:22:51 -0400

Prabhu,

I cannot provide you with independent sources of data to support the
migration of Enterprise networks to a L3VPN. However, I can tell you that
many of the large SPs I deal with are seeing an aggressive move on the part
of their customers toward a L3VPN and indeed in many cases are losing
business if they do not provide the service. Jim

> >-----Original Message-----
> >From: [email-masked] [mailto:[email-masked]]On Behalf Of Kavi,
> >Prabhu
> >Sent: Monday, April 29, 2002 10:14 AM
> >To: Joe Touch; Kavi, Prabhu
> >Cc: Yu-Shun Wang; Shah, Himanshu; 'Lars Eggert'; 'Giles Heron'; Sasha
> >Vainshtein; [email-masked]; [email-masked]
> >Subject: [PWE3] RE: Is IP Layer 2 Interworking useful?
> >
> >
> >Which point are you trying to make?
> >
> >* You tried to make a point that all endpoints of an L2VPN must be
> >  the same.
> >	* I pointed out that FRF.8.1 allows one endpoint to be
> >	  FR and the other to be ATM.
> >* You tried to make a point that widescale deployment does
> >  not warrant standardization.
> >	* I point out that FRF.8.1 is considered a standard and
> >  	  has many interoperable versions in deployment.
> >
> >* Perhaps you are making the point that L3VPNs are superior to L2VPNs and
> >  therefore the PPVPN working group should focus primarily on standards
> >  efforts to promote L3VPNs over efforts to extend IP over L2VPNs.
> >	* I respond to that by stating, all academic arguments on IETF
> >	  mailing lists aside, the best measure of whether something is
> >	  useful is whether end customers buy the service.  If you have
> >	  data showing that the majority of enterprise customers are
> >	  dumping their L2VPNs since L3VPN services are now available,
> >please
> >	  enlighten me.
> >
> >Prabhu
> >
> >
> >>
> >> Kavi, Prabhu wrote:
> >> >>-----Original Message-----
> >> >>From: Joe Touch [mailto:[email-masked]]
> >> >>Sent: Friday, April 26, 2002 10:18 AM
> >> >
> >> >
> >> > <snip>
> >> >
> >> >>In order to have an L2VPN you must have the same L2 at the
> >> endpoints,
> >> >>otherwise the semantics of the L2 are necessarily undefined.
> >> >
> >> > <snip>
> >> >
> >> > Do you mean what draft-Martini has so far defined to be an
> >> L2VPN, or what
> >> > the market thinks of as L2VPNs?
> >> >
> >> > If you meant the market, may I remind you there are thousands of
> >> > enterprise networks that connect using Frame Relay at their branch
> >> > offices and ATM at their headquarters (where the network performs
> >> > FRF.8.1).
> >>
> >> Widescale deployment does not imply that a solution warrants
> >> standardization. It is often a symptom of the lack of an appropriate
> >> alternative, or at least the lack of appreciation or knowledge of
> >> existing, more generic and more capable alternatives.
> >>
> >> Joe
> >
> >
> >_______________________________________________
> >pwe3 mailing list
> >[email-masked]
> >https://www1.ietf.org/mailman/listinfo/pwe3

---

From: Joe Touch <[email-masked]>
Date: Mon, 29 Apr 2002 09:58:59 -0700

> Which point are you trying to make?  

Directly, that spending effort working on an L2VPN where the endpoint 
protocols differ AND where they carry IP (i.e., the majority) is a waste 
of effort in recapitulating the design of IP (at best) or doing 
cartwheels to avoid it (at worst).

I am NOT against L2VPNs. I am against L2VPNs that do cartwheels to avoid 
realizing that there is an extant L3 solution.

> 	  FR and the other to be ATM.

An L2VPN with different endpoint protocols is, IMO, NOT an L2VPN 
(marketing alone does not make it so). It's an L3VPN that tries to get 
around looking at the L3 header by translating L2 headers.

>   	  has many interoperable versions in deployment.

That's further proof that it doesn't warrant burning IETF cycles on it.

>   efforts to promote L3VPNs over efforts to extend IP over L2VPNs.

YES - with the caveats as follows:

	L3VPNs scale better:
		L2 protocols often (though not all) come with inherent
		spatial limits that L2VPNs have to do contortions to
		try to overcome

	L3VPNs solve heterogeneous L2 endpoints already:
		I.e., where they carry L3 already.

I am not against L2VPNs, just the above two variants.

> 	  useful is whether end customers buy the service.

That is the short-sighted views that get us products, many of which 
cause problems that take the IETF years to fix. The IETF tries, in 
general, to take a long-term view into account.

Joe

---

From: "Joel M. Halpern" <[email-masked]>
Date: Mon, 29 Apr 2002 13:42:25 -0400

I would disagree.
What is being discussed is a VPN with two properties that are relevant to 
this part of the debate:
1) It has dissimilar access media at different points
2) At the IP routing layer, it is transparent to the customer.  He sees a 
set of connections among his sites.
This is something customer want and find useful.
It is most similar in behavior o a L2 VPN.  But sure, call it something 
different if you want.  Call it an L2+ or L2.5 or L3- or anything else that 
makes you happy.  Sure, it is a hybrid.  But it meets a real need.

Yours,
Joel M. Halpern

---

From: Maarten Vissers <[email-masked]>
Date: Tue, 30 Apr 2002 10:35:19 +0200

In my understanding, a layer X VPN provides transparent transport of layer X
information elements. E.g. an Ethernet VPN provides transparent transport of
Ethernet MAC frames between between the N access points of a customer. An IP VPN
provides transparent transport of IP packets between the N access points of a
customer.

Both Ethernet VPN as well as IP VPN use an underlying transport layer to provide
an access link to the first Ethernet [IP] switching element in the network. For
the case of IP VPN, the IP access link can be supported by an Ethernet MAC trail
(but it can also be an MPLS trial, SDH VC-n trail, etc.). For the case of
Ethernet, the access link can be supported by an Ethernet PHY trail (but it can
also be an MPLS trail, SDH VC-n trail, IP trail, etc.).

Access link technology may differ; e.g. access point 1 may use technology A,
while access point 2 may use technology B, etc.

So in case an Ethernet MAC technology is used to connect a customer to an IP
router/switch, and transparency is at IP packet layer level, then we should
refer to this as an IP VPN (of which one or more IP access links are supported
by Ethernet MAC layer trail(s)).

And in case an Ethernet PHY technology is used to connect a customer to an
Ethernet MAC bridge/switch, and transparency is at the Ethernet MAC layer level,
then we should refer to this as an Ethernet (MAC) VPN (of which one or more
Ethernet (MAC) access links are supported by Ethernet PHY layer trail(s)).

Regards,

Maarten
PS. the use of L2, L2.5, L3 gets cumbersume these days as we are carrying
Ethernet MAC (L2) over MPLS (L2.5) or over IP (L3), and we carry MPLS (L2.5), IP
(L3), E1/T1 (L1), etc over Ethernet MAC (L2), and we will carry SDH/SONET over
MPLS, PDH over Ethernet and ...

  --------  ------------
  |  IP  |  | SDH VC-n |
  | (L3) |  |   (L1)   |
  -----------------------  --------  ----------------
  |        MPLS         |  |  IP  |  | PDH E1/T1/.. | 
  |       (L2.5)        |  | (L3) |  |   (L1)       |
  ------------------------------------------------------------------------------
  |                            ETH MAC                                         |
  |                             (L2)                                           |
  ------------------------------------------------------------------------------
  | ETH PHY |  | MPLS |  |  IP  |  | SDH VC-n |  | OTN ODUk |  | ATM VC | 
  |  (L1)   |  |(L2.5)|  | (L3) |  |  (L1)    |  |   (L1)   |  |  (L1)  |
  -----------  --------  --------  ------------  ------------  ----------
       |       | XXX  |  | XXX  |  |   XXX    |  |   XXX    |  |  XXX   |

Similar figures can be made with MPLS as focus layer, or IP as focus layer, or
SDH VC-n as focus layer, etc.

What we see is that what traditionally is referred to as L3 and L2.5 is being
used as L1. Also what is traditionally referred to as L1 is becoming transported
over L3, L2.5 and L2 technologies. I.e. the numbering is getting very arbitrary
and as such I would prefer to simply use the layer names (instead of some
arbitrary numbers representing those layers).

---

From: Joe Touch <[email-masked]>
Date: Tue, 30 Apr 2002 10:23:56 -0700

Joel M. Halpern wrote:
> I would disagree.
> What is being discussed is a VPN with two properties that are relevant 
> to this part of the debate:
> 2) At the IP routing layer, it is transparent to the customer.  He sees 
> a set of connections among his sites.
> different if you want.  Call it an L2+ or L2.5 or L3- or anything else 
> that makes you happy.  Sure, it is a hybrid.  But it meets a real need.

Agreed. We seem to be continuing to confuse the service offered with the 
method used to offer the service.

In this case, the service offered is L2VPN.

That service can (and perhaps should, IMO) be offered by an L3VPN, so 
that the translation of service is handled by extant IP protocols. This 
avoids reinventing these IP protocols within the VPN.

Joe